Subject: Re: bug#79124: emacs -Q doesn't give me a clean slate

From: Rudolf Schlatte <[email-masked]>
Date: Mon, 04 Aug 2025 07:13:42 +0200

Paul Eggert <[email-masked]> writes:

>>> this is better for testing, as test results do not rely on the
>>> contents of the user's home directory.

[...]

> It's a matter of priorities. If we want Emacs to be easy to test
> reproducibly, there's a real need for improvement here. If we think
> this sort of testing is unimportant, then indeed we should stop this
> discussion.

You probably are already aware, but (if my understanding is correct) the
code that is tested with a non-existent or non-writable home directory
is byte-code interpreted, whereas with a writable home directory the
code that is run is natively compiled.  So the tests will test something
subtly different than what end users will run.